# マッチしたタイトル情報に対するサイト固有の事前処理
#   titleinfoは連想配列になっている。
#   特定のサイトで検索結果に対して一律に加えたい変更などがあればここに記述する。

# 変えてはならない
Param($titleinfo)

try
{
    $result = $titleinfo.Clone()

# ======== 以下、カスタマイズポイント

    # Arzon セール品対策
    # 検索型番(searchproductcode)の頭に数字が付かないのに、ヒットした型番(productcode)の頭に数字が付くときはセール品の可能性

    if($result["searchproductcode"] -match '^[a-zA-Z]+' -and $result["productcode"] -match '^[0-9]+')
    {
        $result["sortscore"] += 10;
    }

    # Arzon 型番対策
    # 検索結果に「R-」から始まる型番がヒットしたときに除去する
    if($result["productcode"] -match '^R-(?<productcode>[a-zA-Z]+-?[0-9]+$)')
    {
        $result["productcode"] = $matches["productcode"]
    }
    ######## その他なにかあればここに記述

# ======== カスタマイズポイント 終わり
# 変えてはならない

}
catch
{
    # 例外を起こしたら元に戻す
    $result = $titleinfo.Clone()
}

return $result
